function runData() {
    $.getJSON("config.json", function (result) {
        $.ajax({
            url: result.MangoSpot.url + "api/data",
            method: "GET",
            data: "identity",
            dataType: "JSON",
            success: function (identity) {
                $.each(identity.data, function (i, text) {
                    $('.' + i).html(text);
                });
                $('link[rel="shortcut icon"]').attr('href', result.MangoSpot.url + identity.data.icon);
                $('img.brand-img').attr('src', result.MangoSpot.url + identity.data.logo).attr('alt', identity.data.title);
            }
        });
    });
    $('input.show_paswd').click(function () {
        $(this).closest('.form-group').find('input[name="password"]').attr('type', $(this).is(":checked") ? 'text' : 'password');
    });
}

function runFoto() {
    $.getJSON("config.json", function (result) {
        $.ajax({
            url: result.MangoSpot.url + "api/data",
            method: 'GET',
            dataType: "JSON",
            data: "cover",
            success: function (results) {
                var list = '';
                $.each(results.data, function (i, val) {
                    list += '<div class="fadeOut item auth-cover-img overlay-wrap" style="background-image:url(' +
                        result.MangoSpot.url + val.image + ');">';
                    list += '<div class="auth-cover-info">';
                    list += '<div class="auth-cover-content text-center">';
                    list += '<h1 class="text-white">' + val.title + '</h1>';
                    list += '<p class="text-white">' + val.info + '</p>';
                    list += '</div>';
                    list += '</div>';
                    list += '<div class="bg-overlay bg-trans-dark-50"></div>';
                    list += '</div>';
                });
                $('#owl_demo_1').html(list).owlCarousel({
                    items: 1,
                    animateOut: 'fadeOut',
                    loop: true,
                    margin: 10,
                    autoplay: true,
                    mouseDrag: false,
                    dots: false
                });
            }
        });
    });
};
(function () {
    'use strict';
    runData();
    runFoto();
})();